# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_crypto_iov

`krb5_crypto_iov`

Structure to describe a region of text to be encrypted or decrypted.

The flags member describes the type of the iov. The data member points to the memory that will be manipulated. All iov APIs take a pointer to the first element of an array of krb5_crypto_iov’s along with the size of that array. Buffer contents are manipulated in-place; data is overwritten. Callers must allocate the right number of krb5_crypto_iov structures before calling into an iov API.

## Declaration

typedef struct _krb5_crypto_iov krb5_crypto_iov

## Members

krb5_cryptotype `krb5_crypto_iov.flags`

  `KRB5_CRYPTO_TYPE` type of the iov

krb5_data `krb5_crypto_iov.data`